<?php
/**
 * Constant.php
 *
 * @since       2011-05-23
 * @category    Library
 * @package     UnicodeData
 * @author      Nicola Asuni <info@tecnick.com>
 * @copyright   2011-2015 Nicola Asuni - Tecnick.com LTD
 * @license     http://www.gnu.org/copyleft/lesser.html GNU-LGPL v3 (see LICENSE.TXT)
 * @link        https://github.com/tecnickcom/tc-lib-unicode-data
 *
 * This file is part of tc-lib-unicode-data software library.
 */

namespace Com\Tecnick\Unicode\Data;

/**
 * Com\Tecnick\Unicode\Data\Constant
 *
 * @since       2011-05-23
 * @category    Library
 * @package     UnicodeData
 * @author      Nicola Asuni <info@tecnick.com>
 * @copyright   2011-2015 Nicola Asuni - Tecnick.com LTD
 * @license     http://www.gnu.org/copyleft/lesser.html GNU-LGPL v3 (see LICENSE.TXT)
 * @link        https://github.com/tecnickcom/tc-lib-unicode-data
 */
class Constant
{
    /**
     * Unicode code for LEFT-TO-RIGHT MARK (U+200E)
     */
    const LRM = 8206;

    /**
     * Unicode code for RIGHT-TO-LEFT MARK (U+200F)
     */
    const RLM = 8207;

    /**
     * Unicode code for LEFT-TO-RIGHT EMBEDDING (U+202A)
     */
    const LRE = 8234;

    /**
     * Unicode code for RIGHT-TO-LEFT EMBEDDING (U+202B)
     */
    const RLE = 8235;

    /**
     * Unicode code for POP DIRECTIONAL FORMATTING (U+202C)
     */
    const PDF = 8236;

    /**
     * Unicode code for LEFT-TO-RIGHT OVERRIDE (U+202D)
     */
    const LRO = 8237;

    /**
     * Unicode code for RIGHT-TO-LEFT OVERRIDE (U+202E)
     */
    const RLO = 8238;

    /**
     * Unicode code for LEFT-TO-RIGHT ISOLATE (U+2066)
     */
    const LRI = 8294;

    /**
     * Unicode code for RIGHT-TO-LEFT ISOLATE (U+2067)
     */
    const RLI = 8295;

    /**
     * Unicode code for FIRST STRONG ISOLATE (U+2068)
     */
    const FSI = 8296;

    /**
     * Unicode code for POP DIRECTIONAL ISOLATE (U+2069)
     */
    const PDI = 8297;

    /**
     * Unicode code for SPACE (U+0020)
     */
    const SPACE = 32;

    /**
     * Unicode code for ZERO WIDTH NON-JOINER (U+200C)
     */
    const ZERO_WIDTH_NON_JOINER = 8204;
}
